// Project Lab - NHTV Igad

#pragma once

#include "Blueprint/UserWidget.h"
#include "ScoreBoardSlot.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UScoreBoardSlot : public UUserWidget
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintImplementableEvent, Category = "Score Board Slot")
	void Update(UTexture2D* image, const FText& name, int32 kills, int32 deaths, const FLinearColor& color);
};
